Package fr.gouv.vitam.common.model.unit

# Class ArchiveUnitInternalModel

java.lang.Object
fr.gouv.vitam.common.model.unit.ArchiveUnitInternalModel

public class ArchiveUnitInternalModel extends Object
ArchiveUnit internal model (_id, _mgt...)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArchiveUnitInternalModel()`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getAllunitups()`
  `String`
  `getArchiveUnitProfile()`
  `DescriptiveMetadataModel`
  `getDescriptiveMetadataModel()`
  `List<ValidationError>`
  `getErrors()`
  `List<ArchiveUnitHistoryModel>`
  `getHistory()`
  `String`
  `getId()`
  `String`
  `getImplementationVersion()`
  `ManagementModel`
  `getManagement()`
  `String`
  `getManagementContractId()`
  `ObjectGroupInfoInternalModel`
  `getObjectGroupInfo()`
  `String`
  `getOg()`
  `String`
  `getOpi()`
  `List<String>`
  `getOps()`
  `List<String>`
  `getOpts()`
  `List<String>`
  `getOriginatingAgencies()`
  `String`
  `getOriginatingAgency()`
  `String`
  `getSedaVersion()`
  `UnitType`
  `getUnitType()`
  `List<String>`
  `getUnitups()`
  `void`
  `setAllunitups(List<String> allunitups)`
  `void`
  `setArchiveUnitProfile(String archiveUnitProfile)`
  `void`
  `setDescriptiveMetadataModel(DescriptiveMetadataModel descriptiveMetadataModel)`
  `ArchiveUnitInternalModel`
  `setErrors(List<ValidationError> errors)`
  `void`
  `setHistory(List<ArchiveUnitHistoryModel> history)`
  `void`
  `setId(String id)`
  `void`
  `setImplementationVersion(String implementationVersion)`
  `void`
  `setManagement(ManagementModel management)`
  `void`
  `setManagementContractId(String managementContractId)`
  `ArchiveUnitInternalModel`
  `setObjectGroupInfo(ObjectGroupInfoInternalModel objectGroupInfo)`
  `void`
  `setOg(String og)`
  `ArchiveUnitInternalModel`
  `setOpi(String opi)`
  `ArchiveUnitInternalModel`
  `setOps(List<String> ops)`
  `void`
  `setOpts(List<String> opts)`
  `ArchiveUnitInternalModel`
  `setOriginatingAgencies(List<String> originatingAgencies)`
  `ArchiveUnitInternalModel`
  `setOriginatingAgency(String originatingAgency)`
  `void`
  `setSedaVersion(String sedaVersion)`
  `ArchiveUnitInternalModel`
  `setUnitType(UnitType unitType)`
  `void`
  `setUnitups(List<String> unitups)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArchiveUnitInternalModel

    public ArchiveUnitInternalModel()
    Constructor

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getArchiveUnitProfile

    public String getArchiveUnitProfile()

  - ### setArchiveUnitProfile

    public void setArchiveUnitProfile(String archiveUnitProfile)

  - ### getDescriptiveMetadataModel

    public DescriptiveMetadataModel getDescriptiveMetadataModel()

  - ### setDescriptiveMetadataModel

    public void setDescriptiveMetadataModel(DescriptiveMetadataModel descriptiveMetadataModel)

  - ### getOg

    public String getOg()

  - ### setOg

    public void setOg(String og)

  - ### getManagement

    public ManagementModel getManagement()

  - ### setManagement

    public void setManagement(ManagementModel management)

  - ### getHistory

    public List<ArchiveUnitHistoryModel> getHistory()

  - ### setHistory

    public void setHistory(List<ArchiveUnitHistoryModel> history)

  - ### getSedaVersion

    public String getSedaVersion()

  - ### setSedaVersion

    public void setSedaVersion(String sedaVersion)

  - ### getImplementationVersion

    public String getImplementationVersion()

  - ### setImplementationVersion

    public void setImplementationVersion(String implementationVersion)

  - ### getUnitType

    public UnitType getUnitType()

  - ### setUnitType

    public ArchiveUnitInternalModel setUnitType(UnitType unitType)

  - ### getOpi

    public String getOpi()

  - ### setOpi

    public ArchiveUnitInternalModel setOpi(String opi)

  - ### getOps

    public List<String> getOps()

  - ### setOps

    public ArchiveUnitInternalModel setOps(List<String> ops)

  - ### getOriginatingAgency

    public String getOriginatingAgency()

  - ### setOriginatingAgency

    public ArchiveUnitInternalModel setOriginatingAgency(String originatingAgency)

  - ### getOriginatingAgencies

    public List<String> getOriginatingAgencies()

  - ### setOriginatingAgencies

    public ArchiveUnitInternalModel setOriginatingAgencies(List<String> originatingAgencies)

  - ### getOpts

    public List<String> getOpts()

  - ### setOpts

    public void setOpts(List<String> opts)

  - ### getUnitups

    public List<String> getUnitups()

  - ### setUnitups

    public void setUnitups(List<String> unitups)

  - ### getAllunitups

    public List<String> getAllunitups()

  - ### setAllunitups

    public void setAllunitups(List<String> allunitups)

  - ### getManagementContractId

    public String getManagementContractId()

  - ### setManagementContractId

    public void setManagementContractId(String managementContractId)

  - ### getErrors

    public List<ValidationError> getErrors()

  - ### setErrors

    public ArchiveUnitInternalModel setErrors(List<ValidationError> errors)

  - ### getObjectGroupInfo

    public ObjectGroupInfoInternalModel getObjectGroupInfo()

  - ### setObjectGroupInfo

    public ArchiveUnitInternalModel setObjectGroupInfo(ObjectGroupInfoInternalModel objectGroupInfo)